'************************************************
' File:    TestDebug.vbs (WSH sample in VBScript) 
' Author:  G. Born  
'
' Demonstrate how to instrument a script to use
' WSHHelper for debugging purposes. Need a debug viewer
' (like the tool from www.sysinternals.com) to show
' debugging output.
'************************************************
Option Explicit

Const Title = "TestDebug Sample"

Dim dbg, t, tmp

' Create an WSHHelper instance 
Set dbg = CreateObject("WSHHelper.DebugOutputString")
dbg.Print "VBScript: Start script"

If MsgBox ("Enable debugging?", vbYesNo, Title) = vbYes Then
 dbg.Enabled = 1     ' enable debugger output
Else
 dbg.Enabled = 0     ' disable debugger output
End If

dbg.Print "VBScript: Start debugging"

For t = 1 to 10
 dbg.Print CStr(t)   ' print loop index 
Next

dbg.Enabled = 1      ' force enable debugger output
dbg.Print "End of script"
' End